[DRBD-announce] drbd-8.0.15.tar.gz

Philipp Reisner philipp.reisner at linbit.com
Tue Mar 24 18:34:57 CET 2009


Hi,

8.0.15 (api:86/proto:86)
--------
 * Adding a missing range check in ensure_mdev()
 * Fix for several potential memory leaks when allocating a device (Bugz 135)
 * Fixed error code pathes in request processing (Bugz 149)
 * Fixed an minor issue with the exposed data UUID logic (Bugz 164)
 * Fixed tight attach/detach loops (Bugz 171)
 * Fixed drbdadm adjust, when a running config contains "--discard-my-data" (Bugz 201)
 * Fix stack smashing in drbdmeta
 * Adding a missing range check in ensure_mdev() (Bugz 199)
 * Compatibility with Linux 2.6.27 and 2.6.28

Although it is not explicitly in the (now official) Changelog it also works 
with the recently released Linux 2.6.29.

BTW, drbd-8.3.1 will follow in a few days.

If your DRBD is older than 8.0.8 you have to upgrade!

If your DRBD is older than 8.0.12 you should upgrade.

PS: We already support SLES11

http://oss.linbit.com/drbd/8.0/drbd-8.0.15.tar.gz
http://git.drbd.org/?p=drbd-8.0.git;a=commit;h=drbd-8.0.15
http://www.linbit.com/support/drbd-8.0.15/

-Phil
-- 
: Dipl-Ing Philipp Reisner
: LINBIT | Your Way to High Availability
: Tel: +43-1-8178292-50, Fax: +43-1-8178292-82
: http://www.linbit.com

DRBD(R) and LINBIT(R) are registered trademarks of LINBIT, Austria.



More information about the drbd-announce mailing list